//定义 MarkApp 类
export class MarkApp {
  // 构造函数，用于初始化类的实例
  constructor() {
    // 可以在这里初始化一些属性
    this.container = null;
    // console.log('markapp');

  }

  //初始化数据
  async initialize(container) {
    // console.log('MarkApp 初始化完成');
    // 可以在这里添加更多初始化逻辑，比如加载数据等
    if (!container) {
      console.error('未提供容器元素');
      return;
    }

    this.container = container;
    this.createMarkUi();

    //绑定事件
    this.bindEvents(container);

    /*   加载bootcss */
    /*     try {
          //加载bootcss
          await this.loadMarkScript();
    
        } catch (error) {
          console.error('加载bootcss失败:', error);
        } */

  }
  // 添加数据的方法
  addData(item) {
    if (item) {
      this.data.push(item);
      console.log('数据添加成功:', item);
    } else {
      console.error('添加的数据不能为空');
    }
  }
  // 获取所有数据的方法
  getData() {
    return this.data;
  }

  // 打印所有数据的方法
  printData() {
    console.log('当前存储的数据:', this.data);
  }

  /* 加载bootcss---------------------- */
  /*   loadMarkScript() {
      const bootLink = document.createElement('link');
      bootLink.rel = 'stylesheet';
      bootLink.href = '/sidebar/styles/bootstrap.min.css';
      document.head.appendChild(bootLink);
  
      const bootscript = document.createElement('script');
      bootscript.src = '/sidebar/js/script/bootstrap.bundle.min.js';
      document.head.appendChild(bootscript);
  
    } */

  //标记-说明-页面UI
  createMarkUi() {
    this.container.innerHTML = `

<div class="accordion accordion-flush" id="accordionFlushExample">
  <div class="accordion-item">
    <h2 class="accordion-header" id="flush-headingOne">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
        基础功能
      </button>
    </h2>
    <div id="flush-collapseOne" class="accordion-collapse collapse" aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushExample">
      <div class="accordion-body">
              <div class="card" style="width: 90%;">
              <div class="card-body">

                <h5 class="card-title">基础功能</h5>
                <p class="card-text">基础功能<code>默认打开</code>，导出功能要在特定页面有对应操作选项。现已开通猎聘，其他平台陆续开发中...</p>
                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                  <div>
                    <input class="form-check-input" type="checkbox" role="switch" id="resumbase1Disabled" checked disabled>
                    <label class="form-check-label" for="resumbase1Disabled">网站导航</label>
                  </div><a href="https://support.qq.com/products/655077/post/174090220936609568/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                  <div>
                    <input class="form-check-input" type="checkbox" role="switch" id="resumbase2Disabled" checked disabled>
                    <label class="form-check-label" for="resumbase2Disabled">日记便笺</label>
                  </div><a href="https://support.qq.com/products/655077/post/174090358922358656/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                  <div>
                    <input class="form-check-input" type="checkbox" role="switch" id="resumbase3Disabled" checked disabled>
                    <label class="form-check-label" for="resumbase3Disabled">word简历导出</label>
                  </div><a href="https://support.qq.com/products/655077/post/174090816091519237/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                  <div>
                      <input class="form-check-input" type="checkbox" role="switch" id="resumbase4Disabled" checked disabled>
                      <label class="form-check-label" for="resumbase4Disabled">下载数据导出</label>
                  </div><a href="https://support.qq.com/products/655077/post/174090844886472475/" target="_blank">详情</a>
                </div>

              </div>
            </div>
      </div>
    </div>
  </div>
  <div class="accordion-item position-relative">
    <h2 class="accordion-header" id="flush-headingTwo">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseTwo" aria-expanded="false" aria-controls="flush-collapseTwo">
        个性化定制功能
      </button>
    </h2>
    <div id="flush-collapseTwo" class="accordion-collapse collapse" aria-labelledby="flush-headingTwo" data-bs-parent="#accordionFlushExample">
      <div class="accordion-body" id="persontools">
              <div class="card" style="width: 90%;">
                <div class="card-body">
                  <h5 class="card-title">个性化定制功能</h5>
                  <p class="card-text">个性化定制功能为按需要设置或定作，有定制需求请联系网站管理员或按简历公共模板导出文档中的说明指引申请。</p>
                  
                  <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                    <div>
                      <input class="form-check-input" type="checkbox" role="switch" id="persontools1">
                      <label class="form-check-label" for="persontools1">定制简历模板</label>
                    </div><a href="https://support.qq.com/products/655077/post/174090884452462120/" target="_blank">详情</a>
                  </div>

                  <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;">
                    <div>
                      <input class="form-check-input" type="checkbox" role="switch" id="persontools2" >
                      <label class="form-check-label" for="persontools2">定制个人网站</label>
                    </div><a href="https://support.qq.com/products/655077/post/174090917359108929/" target="_blank">详情</a>
                  </div>

                </div>
              </div>
            </div>
             
              <button type="button" style="margin-top:-20px;" class="btn btn-light position-absolute top-100 start-50 translate-middle">定制</button>
             <hr style="visibility:hidden;">
    </div>
  </div>
  <div class="accordion-item position-relative">
    <h2 class="accordion-header" id="flush-headingThree">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseThree" aria-expanded="false" aria-controls="flush-collapseThree">
        扩展功能
      </button>
    </h2>
    <div id="flush-collapseThree" class="accordion-collapse collapse" aria-labelledby="flush-headingThree" data-bs-parent="#accordionFlushExample">
      <div class="accordion-body" id="sharetools">
            <div class="card" style="width: 100%;">
              <div class="card-body">
                <h5 class="card-title">扩展功能</h5>
                <p class="card-text">扩展功能由用户投票产生，投票超过50%的需求就会开发，在开发完成后会在此增加，有需要的可以打开使用。</p>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools1" disabled>
                  <label class="form-check-label" for="sharetools1">高亮显示关健字</label>
                  </div><a href="https://support.qq.com/products/655077/post/174090964885294269/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools2" disabled>
                  <label class="form-check-label" for="sharetools2">项目及职位管理</label>
                  </div><a href="https://support.qq.com/products/655077/post/174091121796318511/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools3" disabled>
                  <label class="form-check-label" for="sharetools3">简历标记管理</label>
                  </div><a href="https://support.qq.com/products/655077/post/174091148469204551/" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools4" disabled>
                  <label class="form-check-label" for="sharetools4">搜索助手</label>
                  </div><a href="#" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch" style="display:flex;justify-Content:space-Between;" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools5" disabled>
                  <label class="form-check-label" for="sharetools5">职位自动发布</label>
                  </div><a href="https://www.bing.com" target="_blank">详情</a>
                </div>

                <div class="form-check form-switch position-relative" >
                <div>
                  <input class="form-check-input" type="checkbox" role="switch" id="sharetools6" disabled>
                  <label class="form-check-label" for="sharetools6">简历分类管理</label>
                  </div><a class="position-absolute top-0 end-0" href="https://www.bing.com" target="_blank">详情</a>
                </div>

              </div>
            </div>
      </div>
     
              <button id="unloackshartool" type="button" style="margin-top:10px;" class="btn btn-light position-absolute top-100 start-50 translate-middle">解锁</button>

    </div>
  </div>
</div>




<button id="payButton" type="button" class="btn btn-primary" style="display:none;">支付宝</button>





    `

  }

  bindEvents(container) {
    //构造提示框: ; 
    function Modal(title = '', message = '') {
      this.modalBox = document.createElement('div');
      this.modalBox.style.position = 'fixed';
      this.modalBox.style.display = 'inline';
      this.modalBox.style.width = '500px';
      this.modalBox.style.height = '350px';
      this.modalBox.style.zIndex = '9999';
      this.modalBox.style.fontSize = '14px';
      this.modalBox.style.border = '1px solid #d3d3d3';
      this.modalBox.style.top = '30%';
      this.modalBox.style.left = '30%';
      this.modalBox.style.padding = '20px';
      this.modalBox.style.backgroundColor = 'white';
      this.modalBox.style.boxShadow = '10px 10px 5px 0px rgb(223 217 217 / 75%)';
      this.modalBox.className = 'note_modal';
      this.modalBox.innerHTML = `
  <div class="note_modal_header" style="display:flex;justify-content:space-between;">${title}<i style="cursor:pointer;">X</i></div>
  <hr>
  <div class="note_modal_body" style="margin:10px;">${message}</div>
  `
      // console.log(this.modalBox);

    }
    //构造框加个打开方法
    Modal.prototype.open = function () {
      //判断是否有框，有则删除
      const box = document.querySelector('.note_modal');
      box && box.remove();
      document.body.append(this.modalBox);
      //同步绑定一个关闭的事件
      this.modalBox.querySelector('i').addEventListener('click', () => {
        this.close();
      });
    }
    //构造框加个关闭方法
    Modal.prototype.close = function () {
      this.modalBox.remove();

    }

    document.getElementById('payButton').addEventListener('click', async () => {
      alert(`解锁其他功能`)
    });
    document.getElementById('sharetools6').addEventListener('change', async () => {
      alert(`解锁其他功能2222`)
    });

    document.getElementById('persontools').addEventListener('click', (event) => {
      event.stopPropagation();
      alert(`解锁其他功能1persontools1`)
    })
    const perall = document.querySelectorAll('#persontools a');
    perall.forEach(item => {
      item.addEventListener('click', (event) => {
        event.stopPropagation();
      })
    })

    document.getElementById('sharetools').addEventListener('click', async (event) => {
      event.stopPropagation();
      alert(`解锁其他功能请点下方解锁按扭！！`)
    });
    const shartoolall = document.querySelectorAll('#sharetools a');
    shartoolall.forEach(item => {
      item.addEventListener('click', (event) => {
        event.stopPropagation();
      })
    })

    const unloackElement = document.getElementById('unloackshartool');
    unloackElement.addEventListener('click', () => {
      // alert('打开解锁窗口')
      const sendmassage = new Modal('解锁窗口', 'showinfo');
      //打开弹窗
      sendmassage.open();
      document.querySelector('.note_modal').style.top = '1%';
      // sendmassage.style.top = '5%';
      document.querySelector('.note_modal').style.left = '1%';
      document.querySelector('.note_modal').style.width = '98%';
      document.querySelector('.note_modal').style.height = '80%';
      setTimeout(() => {
        sendmassage.close();
      }, 10000);
    })





    /* binddEvents */
  }








}